# Generated by Django 4.2 on 2023-11-28 17:54

from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    dependencies = [
        ('zippy_form', '0010_account_timezone_formsubmission_api_accessed_count'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='form',
            name='created_by',
        ),
        migrations.RemoveField(
            model_name='formsubmission',
            name='submitted_by',
        ),
        migrations.AddField(
            model_name='account',
            name='is_payment_collect_enabled',
            field=models.BooleanField(default=False),
        ),
        migrations.AddField(
            model_name='account',
            name='primary_payment_gateway',
            field=models.CharField(blank=True, default='stripe', max_length=255),
        ),
        migrations.AddField(
            model_name='account',
            name='stripe_connect_redirect_url',
            field=models.CharField(blank=True, default='', max_length=255),
        ),
        migrations.AddField(
            model_name='form',
            name='primary_payment_mode',
            field=models.CharField(default='dev', max_length=255),
        ),
        migrations.AddField(
            model_name='form',
            name='type',
            field=models.CharField(blank=True, default='standard_form', max_length=255),
        ),
        migrations.AlterField(
            model_name='formsubmission',
            name='status',
            field=models.CharField(choices=[('deleted', 'Deleted'), ('active', 'Active'), ('draft', 'Draft'), ('payment_pending', 'Payment Pending')], default='draft', max_length=15),
        ),
        migrations.CreateModel(
            name='FormPaymentSettings',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('payment_gateway', models.CharField(blank=True, default='', max_length=255)),
                ('payment_type', models.CharField(default='fixed_price', max_length=255)),
                ('payment_mode', models.CharField(default='dev', max_length=255)),
                ('currency', models.CharField(blank=True, max_length=255)),
                ('price', models.TextField(blank=True)),
                ('tax', models.CharField(blank=True, max_length=255)),
                ('stripe_product_id', models.CharField(blank=True, max_length=255)),
                ('stripe_price_id', models.CharField(blank=True, max_length=255)),
                ('redirect_url', models.CharField(blank=True, max_length=255)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('modified_date', models.DateTimeField(auto_now=True)),
                ('account', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='zippy_form.account')),
                ('dynamic_price_field', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='zippy_form.formfield')),
                ('form', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='form_payment_settings', to='zippy_form.form')),
            ],
        ),
        migrations.CreateModel(
            name='AccountPaymentSettings',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('payment_gateway', models.CharField(max_length=255)),
                ('payment_mode', models.CharField(max_length=255)),
                ('key', models.CharField(max_length=255)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('modified_date', models.DateTimeField(auto_now=True)),
                ('account', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='account_payment_settings', to='zippy_form.account')),
            ],
        ),
    ]
